#include "SceneB.h"

USING_NS_CC;

Scene* SceneB::createScene()
{
    return SceneB::create();
}

bool SceneB::init()
{
    if ( !Scene::init() )
    {
        return false;
    }
    
    auto sprite = Sprite::create("Menu.png");
    
    sprite->setPosition(128, 96);
    sprite->setScale(0.5);
    this->addChild(sprite);
    
    scheduleOnce(SEL_SCHEDULE(&SceneB::nextScene), 2);
    
    return true;
}

void SceneB::nextScene(float delta)
{
    auto director = Director::getInstance();
    auto scene = SceneA::createScene();
    auto transition = TransitionFade::create(1.5, scene);
    director->replaceScene(transition);
}
